Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: 1 [2]   Go Down

Author Topic: cpg1.3.3 released - upgrade strongly recommended  (Read 110023 times)

0 Members and 1 Guest are viewing this topic.

Satyr

  • Coppermine frequent poster
  • ***
  • Offline Offline
  • Gender: Male
  • Posts: 139
    • Gothic Model Gallery - Dark Photo Art
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #20 on: April 24, 2005, 05:54:22 am »

Can i use my old template without problems? I have a custum theme (modified classic), Version 1.3.2.
« Last Edit: April 24, 2005, 06:14:59 am by Satyr »
Logged
Kein Support über PN. Bitte im Forum posten, dann ist anderen auch geholfen.

http://www.gothicmodels.net/gothicmodels/gallery/

Testuser: Test23 PW: 123456

donnoman

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1615
  • From donovanbray.com
    • Donovan Bray
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #21 on: April 24, 2005, 06:33:02 am »

There's no changes required in your custom themes that I'm aware of.
Logged

Satyr

  • Coppermine frequent poster
  • ***
  • Offline Offline
  • Gender: Male
  • Posts: 139
    • Gothic Model Gallery - Dark Photo Art
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #22 on: April 24, 2005, 06:48:51 am »

Update is done, no probs occured.
Gothic Model Gallery

Btw: I am much promoting Coppermine.
All of them who i have recommended and installed love it! ^_^
Logged
Kein Support über PN. Bitte im Forum posten, dann ist anderen auch geholfen.

http://www.gothicmodels.net/gothicmodels/gallery/

Testuser: Test23 PW: 123456

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #23 on: April 24, 2005, 09:42:37 am »

@Makc666: I can't see the point of the patch you describe above? Why not do as the dev team suggests and simply replace all cpg1.3.2 files with cpg1.3.3 files?
« Last Edit: April 26, 2005, 07:26:34 am by GauGau »
Logged

a-amp

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 23
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #24 on: April 24, 2005, 11:30:03 am »

I am using 1.3.0 for phpnuke.

My web site is accessible from here http://www.ixuz.com

does the upgrade apply to 1.3.0 for phpnuke?
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Logged

dj2big

  • Coppermine newbie
  • Offline Offline
  • Posts: 3
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #26 on: April 24, 2005, 09:29:47 pm »

no instructions on how to update in the docs
Logged

Nibbler

  • Guest
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #27 on: April 24, 2005, 09:35:43 pm »

Not even in the bit called "3.4 Upgrading from cpg1.2.0 (or better) to version cpg1.3.3" ? how odd...
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #28 on: April 26, 2005, 07:36:40 am »

Split two unrelated replies to separate threads:
@all: please do not ask for support or new features on this thread; just use it for what it is meant for: postings related to the maintenance release itself. Spliting unrelated postings from this thread is quite labor-intensive, I will stop this from now on. Every unrelated reply will just get deleted.

Joachim
Logged

Makc666

  • Translator
  • Coppermine addict
  • **
  • Offline Offline
  • Gender: Male
  • Posts: 1608
  • Русский (ISO-8859-1) - Russian - Ğóññêèé (Windows)
    • Makc's home page
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #29 on: April 27, 2005, 06:53:15 am »

@Makc666: I can't see the point of the patch you describe above? Why not do as the dev team suggests and simply replace all cpg1.3.2 files with cpg1.3.3 files?
Because I have modes installed which change some of the files.
The patch allow me not to change every file from the beginning if I copy new files of ver. 1.3.3 over old-modified files ver. 1.3.2
All the same way as for phpBB patches.
Logged

joksi

  • Coppermine newbie
  • Offline Offline
  • Posts: 3
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #30 on: April 30, 2005, 03:39:49 pm »

I have a problem with the upgrade, like some other here.
I have literally modificated 80% of the orig files with  own functions etc. etc.
Is there a "simpler" way to upgrade?
Or would some nice soul out there tell me exactly which parts of codes are the most "important" ones so i can modify it manually, it would take me 1-2 weeks to go through everything if not.
Logged

Nibbler

  • Guest
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #31 on: April 30, 2005, 03:44:08 pm »

Well, I have posted what you need to change for the main security issue, there is a patch file posted, or you can a diff tool to merge the changes together.
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #32 on: April 30, 2005, 05:11:33 pm »

...or use the method described by Makc666 here. Please read the full thread before replying. Generally speaking: you just discovered the main drawback of heavily modifying web applications - it get's harder to update!

Joachim
Logged

ElevenBravo

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #33 on: May 05, 2005, 05:47:30 pm »

So I log on to your site needing some support for phpnuke coppermine. I come to this forum "CPG 1.2 PHPnuke/Postnuke Support" and click on it. The first link I see is this thread. So I think," O there is an update" so I download 1.3.3 and reinstall it over my working verison only to find out that 1.3.3 is for standalone. I would like to suggest maybe moving this thread out of here since it has nothing to do with phpnuke coppermine.
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47844
  • aka "GauGau"
    • gaugau.de
Re: cpg1.3.3 released - upgrade strongly recommended
« Reply #34 on: May 06, 2005, 08:19:15 am »

a) You're meant to read all the stickies
b) the board "CPG 1.2 PHPnuke/Postnuke Support" has a sticky thread that says in bold: no support for nuke!
c) This thread is a "global sticky" that is visible throughout all sub-boards, we can't remove it from a singular sub-board. It's all or none!
d) Always read before blindly downloading and applying any software, there are various places where we noted that cpg1.3.3 is not for nuke.

We don't know nuke. Our software was never written with nuke in mind. We're not to blame if nuke users think they could use our software together with nuke. Please don't hijack announcement threads. I'll lock this thread now, as nobody seems to have to say something that really applies to the release of cpg1.3.3 itself. It's a pity nobody dared to say "thank you"...
Logged
Pages: 1 [2]   Go Up
 

Page created in 0.021 seconds with 22 queries.